Execute a predefined command on a VPN server
curl --request POST \
--url https://closedvpn.io/auth/execute-vpn-command/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "restart"
}
'import requests
url = "https://closedvpn.io/auth/execute-vpn-command/{id}"
payload = { "command": "restart" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({command: 'restart'})
};
fetch('https://closedvpn.io/auth/execute-vpn-command/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Command 'restart' executed successfully",
"response": {
"stdout": "Service restarted",
"stderr": ""
}
}{
"message": "A 'command' name is required in the request body."
}{
"message": "Unauthorized"
}{
"message": "You do not have permission to execute commands on this configuration"
}{
"message": "Command 'restart' not found in configuration."
}{
"message": "Command 'restart' failed to execute",
"response": {
"stdout": "<string>",
"stderr": "<string>"
}
}VPN Configurations
Execute VPN Command
Executes a named command (defined in the VPN configuration) on the remote VPN server via SSH.
POST
/
auth
/
execute-vpn-command
/
{id}
Execute a predefined command on a VPN server
Authorizations
Personal Access Token (PAT) passed in the Authorization header (e.g., Bearer <pat>) for authenticated API requests. PATs are generated via /auth/generate-pat after authenticating through the magic link flow.
Path Parameters
Example:
"60c72b2f5f1b2c001c8e4b1a"
Body
application/json
Name of the predefined command to execute
Example:
"restart"

